<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__dbg" kind="group">
    <compoundname>dbg</compoundname>
    <title>WHD Wi-Fi Debug API</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__dbg_1ga334e8f04bdbc06da6eadf29cea997b99" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_wifi_version</definition>
        <argsstring>(whd_interface_t ifp, char *version, uint8_t length)</argsstring>
        <name>whd_wifi_get_wifi_version</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>version</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Retrieves the WLAN firmware version. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>version</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a buffer that version information will be written to </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>length</parametername>
</parameternamelist>
<parameterdescription>
<para>Length of the buffer</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="1089" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__dbg_1ga1e8a85564910052e82332a89db4d9ff5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_clm_version</definition>
        <argsstring>(whd_interface_t ifp, char *version, uint8_t length)</argsstring>
        <name>whd_wifi_get_clm_version</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>version</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Retrieves the WLAN CLM version. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>version</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a buffer that version information will be written to </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>length</parametername>
</parameternamelist>
<parameterdescription>
<para>Length of the buffer</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="1099" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__dbg_1ga7f089a4c933c9c05a61e2cfc00fcb4f8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_read_wlan_log</definition>
        <argsstring>(whd_driver_t whd_drv, char *buffer, uint32_t buffer_size)</argsstring>
        <name>whd_wifi_read_wlan_log</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1ac45015d82e65db891b463066873eca4f">whd_driver_t</ref></type>
          <declname>whd_drv</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>buffer_size</declname>
        </param>
        <briefdescription>
<para>To print whd log information. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>whd_drv</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of the driver </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>Buffer to store read log results </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer_size</parametername>
</parameternamelist>
<parameterdescription>
<para>Variable to store size of the buffer</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="1109" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__dbg_1ga6435c76ac1eae5af952053d76d9c67ab" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_print_whd_log</definition>
        <argsstring>(whd_driver_t whd_drv)</argsstring>
        <name>whd_wifi_print_whd_log</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1ac45015d82e65db891b463066873eca4f">whd_driver_t</ref></type>
          <declname>whd_drv</declname>
        </param>
        <briefdescription>
<para>To print whd log information. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>whd_drv</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of the driver</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="1117" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__dbg_1ga01abfdd80ff65c7cac64e0d7c2f93c60" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_network_get_ifidx_from_ifp</definition>
        <argsstring>(whd_interface_t ifp, uint8_t *ifidx)</argsstring>
        <name>whd_network_get_ifidx_from_ifp</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ifidx</declname>
        </param>
        <briefdescription>
<para>Retrieves the ifidx from interface pointer. </para>
        </briefdescription>
        <detaileddescription>
<para>ifidx is a unique value and be used to identify a instance of tcp/ip stack</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the whd_interface_t </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ifidx</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to ifidx</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="1127" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__dbg_1ga84376c0830fbdb04c67812243539d4c6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_network_get_bsscfgidx_from_ifp</definition>
        <argsstring>(whd_interface_t ifp, uint8_t *bsscfgidx)</argsstring>
        <name>whd_network_get_bsscfgidx_from_ifp</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>bsscfgidx</declname>
        </param>
        <briefdescription>
<para>Retrieves the bsscfgidx from interface pointer. </para>
        </briefdescription>
        <detaileddescription>
<para>Can be used to send IOCTL with requires bsscfgidx</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>bsscfgidx</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to bsscfgidx</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="1138" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__dbg_1gab4a8c97085b18321d8d682b1578edf7d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_wifi_get_bss_info</definition>
        <argsstring>(whd_interface_t ifp, wl_bss_info_t *bi)</argsstring>
        <name>whd_wifi_get_bss_info</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1a2e544c482ddbb690bbb95ce7174e79a0">whd_interface_t</ref></type>
          <declname>ifp</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="whd__types_8h_1a92c6377f96c792ee4d94bb36b7777ea6">wl_bss_info_t</ref> *</type>
          <declname>bi</declname>
        </param>
        <briefdescription>
<para>Retrives the bss info. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ifp</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of whd interface </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>bi</parametername>
</parameternamelist>
<parameterdescription>
<para>A pointer to the structure wl_bss_info_t</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="1148" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__dbg_1gab6dca3a6d7a90a1f9d8fb18660048c18" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t whd_print_stats</definition>
        <argsstring>(whd_driver_t whd_drv, whd_bool_t reset_after_print)</argsstring>
        <name>whd_print_stats</name>
        <param>
          <type><ref kindref="member" refid="whd_8h_1ac45015d82e65db891b463066873eca4f">whd_driver_t</ref></type>
          <declname>whd_drv</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="whd__types_8h_1a7cd94a03f2e7e6aab7217ed559c7a0ac">whd_bool_t</ref></type>
          <declname>reset_after_print</declname>
        </param>
        <briefdescription>
<para>Prints WHD stats. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>whd_drv</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to handle instance of the driver </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>reset_after_print</parametername>
</parameternamelist>
<parameterdescription>
<para>Bool variable to decide if whd_stats to be reset</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WHD_SUCCESS or Error code </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_wifi_api.h" line="1157" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>WHD APIs which allows debugging like, printing whd log information, getting whd stats, etc. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>